## org.apache.mahout.text
Class SequenceFilesFromDirectory.PrefixAdditionFilter

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromDirectory.PrefixAdditionFilter

All Implemented Interfaces:
  FileFilter

Enclosing class:
  SequenceFilesFromDirectory

    public class SequenceFilesFromDirectory.PrefixAdditionFilter

extends Object
implements FileFilter

Constructor Summary
`SequenceFilesFromDirectory.PrefixAdditionFilter(String prefix, SequenceFilesFromDirectory.ChunkedWriter writer, Charset charset)`

Method Summary
`boolean` `accept(File current)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilesFromDirectory.PrefixAdditionFilter

    public SequenceFilesFromDirectory.PrefixAdditionFilter(String prefix,
                                                           SequenceFilesFromDirectory.ChunkedWriter writer,
                                                           Charset charset)

Method Detail

### accept

    public boolean accept(File current)

  Specified by:
    `accept` in interface `FileFilter`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.